Prerequisites

Table 1: StorNext Web Services V2 Prerequisites
Prerequisite Notes
StorNext 5 release 5.3 (or later) should be installed on the system. For information on how to install StorNext, contact a Quantum representative or visit the StorNext Installation Guide online at http://www.quantum.com/snsdocs.
Web services should be enabled. For information on how to enable web services, see the section Getting Started.
Web service authentication and user credentials should be configured. For information on how to configure authentication and user credentials, see the section Getting Started.
If authentication is required, web service user(s) needs to be created. For information on how to create web service users, see the section Getting Started.
If SWS V2 web services need to be executed via a web browser, it should be installed on the system.

SWS V2 can be invoked from various browsers. For example:

  • Microsoft Windows Internet Explorer
  • Mozilla Firefox
  • Google Chrome
If SWS V2 web services are invoked from customer source code, relevant libraries need to installed and referenced from the source code. For additional information, see the section Run the Web Services from a Client Application.